Bug 66833 - XFree86 4.x SDK not available
Summary: XFree86 4.x SDK not available
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-17 16:01 UTC by Andreas Luik
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-03 06:14:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Luik 2002-06-17 16:01:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
The XFree86 4.x SDK (developer kit), which is installed by
"make install.sdk" to /usr/X11R6/lib/Server is not available as
a RPM file.  But this SDK is required for programmers who want
to develop modules (e.g. extensions) for the Xfree86 server.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Check available XFree86 RPMs.  None includes the
/usr/X11R6/lib/Server tree.


Additional info:

My current workaround is to build the source RPM and call
"make install.sdk", but this is cumbersome.

Comment 1 Mike A. Harris 2002-06-18 01:00:16 UTC
The src.rpm contains a Build_SDK define which was the beginnings of
adding this support for my own personal usage.  I figured once I bothered
to spend the time to add it properly, that it might be worth adding to
the distro too.

I've been thinking lately of getting it working.  We'll see how it goes.

Thanks for reminding me.

Comment 2 Mike A. Harris 2002-08-25 13:06:16 UTC
Not for this release..  may consider for next release possibly.

Comment 3 Mike A. Harris 2002-11-03 06:16:32 UTC
The SDK is now a part of a new XFree86-sdk subpackage.  I'm not
sure how truely useful this will be, but it is there for now anyway.
If it is useful, I'll likely keep it.  If not, I'll remove it at
some point.

Closing as resolved in RAWHIDE.  The packages aren't actually _in_
public rawhide, but the work is done, and will be in rawhide sometime
in the future.

Comment 4 Andreas Luik 2002-11-05 17:19:26 UTC
Thanks for adding it.  I will check it out as soon I get a release where it
is included.  And I definitely will find it very useful as well as probably
anybode else who is developing X server modules on Red Hat Linux without
being part of the XFree86 team.



Note You need to log in before you can comment on or make changes to this bug.